1

I have recently installed TeXLive on Mac OSX Yosemite from this link

https://tug.org/mactex/

I then find texdoc as follows

$ which texdoc
/opt/local/bin/texdoc

When I run it, I get an error

$ texdoc pgf
dyld: Library not loaded: /opt/local/lib/libpng15.15.dylib
  Referenced from: /opt/local/bin/texlua
  Reason: Incompatible library version: texlua requires version 
33.0.0 or later, but libpng15.15.dylib provides version 31.0.0
Trace/BPT trap: 5

I then try a fix

$ brew upgrade
$ brew update
$ brew doctor
$ brew uninstall libpng
$ brew install libpng
... outputs don't show any obvious problems ...

but that did not work. I'd be grateful for any advice how to uncapsize and salvage my installation. The only thing I can think of to do is wipe the machine and start over completely from scratch :(

  • 4
    I'm under the impression that your texdoc is provided by some old installation with MacPorts, because if the MacTeX provided texdoc is used, the answer from which texdoc should be /usr/texbin/texdoc. Note that the libpng currently installed by Homebrew is version 16.16 – egreg Jun 22 '15 at 13:55
  • It's possible that some old MacPorts stuff needs to be cleaned out! That's a good tip for me to try, and I can try it later today. – Reb.Cabin Jun 22 '15 at 14:57
1

Incompatible library version: texlua requires version 33.0.0 or later, but libpng15.15.dylib provides version 31.0.0

It sounds like libpng was outdated on your system, so if Homebrew doesn't provide the newest version, formula can be edited manually by brew edit libpng and url changed to the one which is supported.

At the time of writing, libpng has relevant version available with Homebrew:

$ brew update
$ brew reinstall libpng
$ otool -L $(brew list libpng | grep dylib$)
/usr/local/Cellar/libpng/1.6.32/lib/libpng.dylib:
    /usr/local/opt/libpng/lib/libpng16.16.dylib (compatibility version 49.0.0, current version 49.0.0)
    /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.8)
    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1238.50.2)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.